//
// Copyright (c) 2002
// Ronald Kevin Burton
//
// Z poniższym kodem nie jest związana żadna gwarancja poprawności działania.
// Program został dołączony do książki ".NET CLR. Księga eksperta" w celu
// ilustracji koncepcji i zasad przedstawionych w tej książce. Program może być 
// używany na własne ryzyko.
//
// Przyznaje się prawo do użycia lub kopiowania tego oprogramowania do dowolnego celu
// bez konieczności ponoszenia żadnych opłat pod warunkiem, że powyższe uwagi zostaną 
// zachowane we wszystkich kopiach. Przyznaje się także prawo do modyfikacji kodu
// i dystrybucji zmodyfikowanego kodu pod warunkiem zachowania powyższych uwag
// oraz dołączenia informacji mówiącej o modyfikacji kodu.
//
//  
using System;

namespace FrameworkLibraries
{
	public class RandomMain 
	{
		static void Main(string [] args)
		{
			Random r = new Random();
			for(int i = 0; i < 10; i++)
			{
				Console.Write("{0} {1} {2} {3} {4} {5} {6} {7} {8} {9}",
					r.NextDouble().ToString("0.0000"),
					r.NextDouble().ToString("0.0000"),
					r.NextDouble().ToString("0.0000"),
					r.NextDouble().ToString("0.0000"),
					r.NextDouble().ToString("0.0000"),
					r.NextDouble().ToString("0.0000"),
					r.NextDouble().ToString("0.0000"),
					r.NextDouble().ToString("0.0000"),
					r.NextDouble().ToString("0.0000"),
					r.NextDouble().ToString("0.0000"));
				Console.WriteLine();
			}
			for(int i = 0; i < 10; i++)
			{
				Console.Write("{0} {1} {2} {3} {4} {5} {6} {7} {8} {9}",
					r.Next(0,99).ToString("00"),
					r.Next(0,99).ToString("00"),
					r.Next(0,99).ToString("00"),
					r.Next(0,99).ToString("00"),
					r.Next(0,99).ToString("00"),
					r.Next(0,99).ToString("00"),
					r.Next(0,99).ToString("00"),
					r.Next(0,99).ToString("00"),
					r.Next(0,99).ToString("00"),
					r.Next(0,99).ToString("00"));
				Console.WriteLine();
			}
		}
	}
}